import metview as mv

cview = mv.cartesianview(
    x_axis_type      = "date",
    x_date_min       = '2022-02-26',
    x_date_max       = '2022-03-02',
    y_automatic      = "on",
    y_axis_type      = "logarithmic"
    )


hov = mv.read("hov.nc")

ncvis = mv.netcdf_visualiser(
    netcdf_plot_type      = "xy_matrix",
    netcdf_x_variable     = "time",
    netcdf_y_variable     = "vertical",
    netcdf_value_variable = "aermr04",
    netcdf_data           = hov
    )


shade1 = mv.mcont(
    legend                         = "on",
    contour_line_colour            = "black",
    contour_highlight              = "off",
    contour_level_selection_type   = "level_list",
    contour_min_level              = 0,
    contour_level_list             = [0,10,20,30,40,50,60,70,80,90,100,150,200,250,300,350,400,450,500,600,700,800,900,1000],
    contour_shade                  = "on",
    contour_shade_method           = "area_fill",
    contour_shade_max_level_colour = "red",
    contour_shade_min_level_colour = "blue",
    contour_interpolation_floor    = 0
    )

mv.plot(cview, ncvis, shade1)